package cisa

type CisaJSON struct {
	CatalogVersion  string      `json:"catalogVersion"`
	Count           int         `json:"count"`
	DateReleased    string      `json:"dateReleased"`
	Title           string      `json:"title"`
	Vulnerabilities []VulStruct `json:"vulnerabilities"`
}

type VulStruct struct {
	CveID                      string `json:"cveID"`
	DateAdded                  string `json:"dateAdded"`
	DueDate                    string `json:"dueDate"`
	KnownRansomwareCampaignUse string `json:"knownRansomwareCampaignUse"`
	Notes                      string `json:"notes"`
	Product                    string `json:"product"`
	RequiredAction             string `json:"requiredAction"`
	ShortDescription           string `json:"shortDescription"`
	VendorProject              string `json:"vendorProject"`
	VulnerabilityName          string `json:"vulnerabilityName"`
}
